clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::SelectionTree::Node Struct Reference

`#include <Selection.h>`

Collaboration diagram for clang::clangd::SelectionTree::Node:
[legend]

## Public Member Functions
const DeclContext & | getDeclContext () const
std::string | kind () const
const Node & | ignoreImplicit () const
const Node & | outerImplicit () const

## Public Attributes
Node * | Parent
llvm::SmallVector< const Node *, 8 > | Children
ast_type_traits::DynTypedNode | ASTNode
Selection | Selected

## Detailed Description

Definition at line 95 of file Selection.h.

## Member Function Documentation

## ◆ getDeclContext()

const DeclContext & clang::clangd::SelectionTree::Node::getDeclContext | ( |  | ) | const

Definition at line 720 of file Selection.cpp.

References Decl, and Parent.

## ◆ ignoreImplicit()

const SelectionTree::Node & clang::clangd::SelectionTree::Node::ignoreImplicit | ( |  | ) | const

Definition at line 733 of file Selection.cpp.

References clang::clangd::Children.

## ◆ kind()

std::string clang::clangd::SelectionTree::Node::kind | ( |  | ) | const

Definition at line 659 of file Selection.cpp.

## ◆ outerImplicit()

const SelectionTree::Node & clang::clangd::SelectionTree::Node::outerImplicit | ( |  | ) | const

Definition at line 740 of file Selection.cpp.

References ASTNode, outerImplicit(), and Parent.

Referenced by outerImplicit().

## Member Data Documentation

## ◆ ASTNode

ast_type_traits::DynTypedNode clang::clangd::SelectionTree::Node::ASTNode

Definition at line 101 of file Selection.h.

Referenced by outerImplicit().

## ◆ Children

llvm::SmallVector<const Node *, 8> clang::clangd::SelectionTree::Node::Children

Definition at line 99 of file Selection.h.

Referenced by clang::clangd::SelectionTree::commonAncestor().

## ◆ Parent

Node* clang::clangd::SelectionTree::Node::Parent

Definition at line 97 of file Selection.h.

Referenced by getDeclContext().

## ◆ Selected

Selection clang::clangd::SelectionTree::Node::Selected

Definition at line 103 of file Selection.h.

Referenced by clang::clangd::SelectionTree::commonAncestor().

The documentation for this struct was generated from the following files:

- Selection.h
- Selection.cpp